
Ruby - Misc #10809

[PATCH 2/2] Add tests for math.c related to [Feature 10785], [Feature 10800]

02/01/2015 12:32 AM - gogotanaka (Kazuki Tanaka)

Status: Closed   

Priority: Normal   

Assignee: nobu (Nobuyoshi Nakada)   

Description

Hi! Here are two patches.

reorder_test_cbrt_and_add_a_assertion.patch:

Move Test#test_cbrt to more proper place and add a assertion for Math.cbrt(1.0/0)

add_test_for_math_c_about_overriding_Integer_to_f.patch:

Add tests for Feature 10785 and  Feature 10800

These two features are merged by Nobuyoshi Nakada san, so I assigned him but please feel free to reassigne.

thanks.

Associated revisions

Revision 1765438110f5e01e42f50d4ca107cae66964093f - 02/24/2015 05:24 PM - Kazuki Tanaka 

test/ruby/test_math.rb: Use assert_infinity instead of assert_equal(1.0/0, ...).

test/ruby/test_math.rb: Add tests for overriding Integer#to_f.

[ruby-core:67919] [Misc #10809]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@49726 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 17654381 - 02/24/2015 05:24 PM - Kazuki Tanaka 

test/ruby/test_math.rb: Use assert_infinity instead of assert_equal(1.0/0, ...).

test/ruby/test_math.rb: Add tests for overriding Integer#to_f.

[ruby-core:67919] [Misc #10809]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@49726 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 02/01/2015 03:14 AM - nobu (Nobuyoshi Nakada)

+    assert_equal(1.0/0, Math.cbrt(1.0/0))

 

Isn't it better to use assert_infinity?

+      def to_f

+        _to_f

+      end

 

Why not revert to the original methods?
https://bugs.ruby-lang.org/issues/10785
#2 - 02/01/2015 04:49 AM - gogotanaka (Kazuki Tanaka)

- File use_assert_infinity.patch added

Isn't it better to use assert_infinity?

 It's much better! I attached patch to follow what you said(not only Math.cbrt also other cases)

Why not revert to the original methods?

 I intended to revert to the original methods through this way.

thanks.

#3 - 02/01/2015 04:56 AM - gogotanaka (Kazuki Tanaka)

- File revert_to_original_methods.patch added

Oh.. I found editting message with uploading new file posts new message with duplicate contents.

We seem not to be able to upload more than 2 patches at one message.

#4 - 02/01/2015 06:32 AM - nobu (Nobuyoshi Nakada)

class_eval with a block form would be preferable to a string form in may cases.

Are you going to commit these patches by yourself?

If so, then ask matz, and follow the instruction CommitterHowto

#5 - 02/01/2015 12:41 PM - gogotanaka (Kazuki Tanaka)

It's my super great pleasure to be able to do that, I'm glad to and go to follow what you said.

But now I'm afraid of committing myself and I realize there'er much things I should know.

So it seems to take a while. Anyway I want to do so.

thanks.

#6 - 02/02/2015 03:24 AM - matz (Yukihiro Matsumoto)

Commit bit approved.  Proceed to usual previledge grant process.

Matz.

#7 - 02/22/2015 01:14 AM - gogotanaka (Kazuki Tanaka)

- File add_test_about_overriding_Integer_to_f_20150222.patch added

I'll commit these 3 patches.

reorder_test_cbrt_and_add_a_assertion.patch:

Move Test#test_cbrt to more proper place and add a assertion for Math.cbrt(1.0/0)

use_assert_infinity.patch:

Use assert_infinity  instead of assert_equal(1.0/0, ...)

add_test_about_overriding_Integer_to_f_20150222.patch:

Add tests for Feature 10785 and Feature 10800

#8 - 03/01/2015 01:41 AM - gogotanaka (Kazuki Tanaka)

- Status changed from Open to Closed

Files
reorder_test_cbrt_and_add_a_assertion.patch 1.19 KB 02/01/2015 gogotanaka (Kazuki Tanaka)

add_test_for_math_c_about_overriding_Integer_to_f.patch 1.36 KB 02/01/2015 gogotanaka (Kazuki Tanaka)

use_assert_infinity.patch 2.53 KB 02/01/2015 gogotanaka (Kazuki Tanaka)

revert_to_original_methods.patch 1.1 KB 02/01/2015 gogotanaka (Kazuki Tanaka)

add_test_about_overriding_Integer_to_f_20150222.patch 1.31 KB 02/22/2015 gogotanaka (Kazuki Tanaka)
